### GET /globaldata/tables Source: https://apidocs.agillic.net/globaldata/openapi Returns the collection of existing Global Data Tables available on the instance. ```markdown ### Responses #### 200 - OK **GlobalDataTableIdsList** - Array of string **GlobalDataTableIdsList** **GlobalDataTableIdsList** ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/globaldata/tables" ``` ``` -------------------------------- ### GET /globaldata/tables/{tableId}/record/{recordId} Source: https://apidocs.agillic.net/globaldata/openapi Returns a single Global Data Table record. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. - **recordId** (string, path, required): The record unique identifier. ### Responses #### 200 - OK **GdtRecord** - **empty** (boolean) ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/globaldata/tables/{tableId}/record/{recordId}" ``` ``` -------------------------------- ### GET /globaldata/tables/{tableId} Source: https://apidocs.agillic.net/globaldata/openapi Returns the Global Data Table containing its collection of records. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. - **filter** (string, query, optional): The Rsql filter makes it possible to use collection filtering on Global Data Table fields. ### Responses #### 200 - OK **GlobalDataTable** - **name** (string): Unique table name - **records** (array (object)) Array items: - **empty** (boolean) ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/globaldata/tables/{tableId}?filter=string" ``` ``` -------------------------------- ### GET /globaldata/{globalDataName} Source: https://apidocs.agillic.net/globaldata/openapi Returns Global Data specified by name identifier in path parameter. The response is a JSON document contained in HTTP response body. ```markdown ### Parameters - **globalDataName** (string, path, required): Name of the Global Data. ### Responses #### 200 - OK **GlobalData** - **empty** (boolean) ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/globaldata/{globalDataName}" ``` ``` -------------------------------- ### GET /globaldata/tables/{tableId}/limit/{rowNum} Source: https://apidocs.agillic.net/globaldata/openapi Returns the Global Data Table containing a limited and sorted collection of records by row number. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. - **rowNum** (integer (int32), path, required): The maximum number of Global Data Table rows to return. - **sortByField** (string, query, optional): The field which should be sorted on. Should be used together with "sortingOrder". - **sortingOrder** (string, query, optional): Defines the order of the sorting, asc (for ascending order) and desc (for descending order). Should be used together with "sortByField". - **filter** (string, query, optional): The Rsql filter makes it possible to use collection filtering on Global Data Table fields. ### Responses #### 200 - OK **GlobalDataTable** - **name** (string): Unique table name - **records** (array (object)) Array items: - **empty** (boolean) ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/globaldata/tables/{tableId}/limit/{rowNum}?sortByField=string&sortingOrder=string&filter=string" ``` ``` -------------------------------- ### GET /globaldata Source: https://apidocs.agillic.net/globaldata/openapi Returns Global Data optional filtered by parameter filter . The response is a JSON Array with GD objects contained in HTTP response body. ```markdown ### Parameters - **filter** (string, query, optional): The Rsql filter makes it possible to use collection filtering on Global Data Table fields. ### Responses #### 200 - OK **GlobalDataList** - Array of object - **empty** (boolean) ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/globaldata?filter=string" ``` ``` -------------------------------- ### API Overview: Global Data API Source: https://apidocs.agillic.net/globaldata/openapi OpenAPI specification version 1.0 ```yaml # Global Data API # Version: 1.0 OpenAPI specification # Base URL: https://api-eu1.agillic.net ``` -------------------------------- ### POST /globaldata/tables/{tableId}/record Source: https://apidocs.agillic.net/globaldata/openapi Create a Global Data record and add it to the Table ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. ### Request Body **Content-Type:** application/json - **empty** (boolean) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/globaldata/tables/{tableId}/record" \ -H "Content-Type: application/json" \ -d '{ "ID": "myprimaryid", "FIELD1": "fieldvalue" }' ``` ``` -------------------------------- ### Schema: BatchStatusEntry Source: https://apidocs.agillic.net/globaldata/openapi The status for a single entry. ```markdown ## Schema: BatchStatusEntry The status for a single entry. **Type:** object - **recordId** (string) (required): ID of affected Row - **status** (string (SUCCESS|FAILURE)) (required): Sucess or Failure. ("SUCCESS"|"FAILURE") - **reason** (string): The HTTP status code for the single record. ``` -------------------------------- ### Schema: BatchStatus Source: https://apidocs.agillic.net/globaldata/openapi The batch operation status. ```markdown ## Schema: BatchStatus The batch operation status. **Type:** object - **errorCount** (integer (int32)) (required): The number of errors. - **statusList** (array (object)) (required): The collection of statuses in batch order. Array items: - **recordId** (string) (required): ID of affected Row - **status** (string (SUCCESS|FAILURE)) (required): Sucess or Failure. ("SUCCESS"|"FAILURE") - **reason** (string): The HTTP status code for the single record. ``` -------------------------------- ### Security: basicAuth Source: https://apidocs.agillic.net/globaldata/openapi Security scheme: basicAuth ```markdown ## Security: basicAuth **Description:** Security scheme: basicAuth **Type:** http **Scheme:** basic ``` -------------------------------- ### Schema: RecordList Source: https://apidocs.agillic.net/globaldata/openapi The records collection to be created or updated as a batch to a Global Data Table. ```markdown ## Schema: RecordList The records collection to be created or updated as a batch to a Global Data Table. **Type:** array - Array of object - **empty** (boolean) ``` -------------------------------- ### Schema: GlobalData Source: https://apidocs.agillic.net/globaldata/openapi Global Data object. ```markdown ## Schema: GlobalData Global Data object. **Type:** object - **empty** (boolean) ``` -------------------------------- ### Schema: GdtRecord Source: https://apidocs.agillic.net/globaldata/openapi The Global Data Table record to be created or updated. ```markdown ## Schema: GdtRecord The Global Data Table record to be created or updated. **Type:** object - **empty** (boolean) ``` -------------------------------- ### POST /globaldata/tables/{tableId}/:batchCreateRecords Source: https://apidocs.agillic.net/globaldata/openapi Create multiple new records in the Global Data Table. The response of this operation contains a detailed report of the each records create operation, with the execution status for every record in the batch. Note that this operation does not consider the whole batch as a transaction, but every record from the batch is considered to be atomic with respect to the create operation. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. ### Request Body **Content-Type:** application/json - Array of object - **empty** (boolean) ### Responses #### 200 - OK **BatchStatus** - **errorCount** (integer (int32)) (required): The number of errors. - **statusList** (array (object)) (required): The collection of statuses in batch order. Array items: - **recordId** (string) (required): ID of affected Row - **status** (string (SUCCESS|FAILURE)) (required): Sucess or Failure. ("SUCCESS"|"FAILURE") - **reason** (string): The HTTP status code for the single record. ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/globaldata/tables/{tableId}/:batchCreateRecords" \ -H "Content-Type: application/json" \ -d '[ { "ID": "myprimaryid", "FIELD1": "fieldvalue" } ]' ``` ``` -------------------------------- ### Schema: GlobalUpdateData Source: https://apidocs.agillic.net/globaldata/openapi GlobalData to updated. ```markdown ## Schema: GlobalUpdateData GlobalData to updated. **Type:** object - **empty** (boolean) ``` -------------------------------- ### PUT /globaldata/tables/{tableId}/record/{recordId} Source: https://apidocs.agillic.net/globaldata/openapi Updates a single Global Data Table record. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. - **recordId** (string, path, required): The record unique identifier. ### Request Body **Content-Type:** application/json - **empty** (boolean) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X PUT "https://api-eu1.agillic.net/globaldata/tables/{tableId}/record/{recordId}" \ -H "Content-Type: application/json" \ -d '{ "ID": "myprimaryid", "FIELD1": "fieldvalue" }' ``` ``` -------------------------------- ### DELETE /globaldata/tables/{tableId}/record/{recordId} Source: https://apidocs.agillic.net/globaldata/openapi Deletes a single Global Data Table record. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. - **recordId** (string, path, required): The record unique identifier. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X DELETE "https://api-eu1.agillic.net/globaldata/tables/{tableId}/record/{recordId}" ``` ``` -------------------------------- ### Schema: GlobalDataTable Source: https://apidocs.agillic.net/globaldata/openapi The Global Data Table object containing the array of records. ```markdown ## Schema: GlobalDataTable The Global Data Table object containing the array of records. **Type:** object - **name** (string): Unique table name - **records** (array (object)) Array items: - **empty** (boolean) ``` -------------------------------- ### POST /globaldata/tables/{tableId}/:batchUpdateRecords Source: https://apidocs.agillic.net/globaldata/openapi Update multiple records in the Global Data Table. The response of this operation contains a detailed report of the execution, with the status for every record in the batch. Note that this operation does not consider the whole batch as a transaction, but every record from the batch is considered to be atomic with respect to the update operation. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. ### Request Body **Content-Type:** application/json - Array of object - **empty** (boolean) ### Responses #### 200 - OK **BatchStatus** - **errorCount** (integer (int32)) (required): The number of errors. - **statusList** (array (object)) (required): The collection of statuses in batch order. Array items: - **recordId** (string) (required): ID of affected Row - **status** (string (SUCCESS|FAILURE)) (required): Sucess or Failure. ("SUCCESS"|"FAILURE") - **reason** (string): The HTTP status code for the single record. ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/globaldata/tables/{tableId}/:batchUpdateRecords" \ -H "Content-Type: application/json" \ -d '[ { "ID": "myprimaryid", "FIELD1": "fieldvalue" } ]' ``` ``` -------------------------------- ### Schema: GlobalDataTableIdsList Source: https://apidocs.agillic.net/globaldata/openapi The collection of Global Data Tables identifiers. ```markdown ## Schema: GlobalDataTableIdsList The collection of Global Data Tables identifiers. **Type:** array - Array of string ``` -------------------------------- ### Schema: GlobalDataList Source: https://apidocs.agillic.net/globaldata/openapi The collection of Global Data Table records. ```markdown ## Schema: GlobalDataList The collection of Global Data Table records. **Type:** array - Array of object - **empty** (boolean) ``` -------------------------------- ### PUT /globaldata/{globalDataName} Source: https://apidocs.agillic.net/globaldata/openapi Updates a Global Data value. Only the VALUE is currently updatable. ```markdown ### Parameters - **globalDataName** (string, path, required): Name of the Global Data. ### Request Body **Content-Type:** application/json - **empty** (boolean) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X PUT "https://api-eu1.agillic.net/globaldata/{globalDataName}" \ -H "Content-Type: application/json" \ -d '{ "empty": "true" }' ``` ``` -------------------------------- ### POST /globaldata/tables/{tableId}/:batchDeleteRecords Source: https://apidocs.agillic.net/globaldata/openapi Delete the batch of records in the request body from the Global Data table identified by tableId. All the records in the batch will be permanently erased, with no possibility of restoring them. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. ### Request Body **Content-Type:** application/json - Array of object - **empty** (boolean) ### Responses #### 200 - OK **BatchStatus** - **errorCount** (integer (int32)) (required): The number of errors. - **statusList** (array (object)) (required): The collection of statuses in batch order. Array items: - **recordId** (string) (required): ID of affected Row - **status** (string (SUCCESS|FAILURE)) (required): Sucess or Failure. ("SUCCESS"|"FAILURE") - **reason** (string): The HTTP status code for the single record. ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/globaldata/tables/{tableId}/:batchDeleteRecords" \ -H "Content-Type: application/json" \ -d '[ { "ID": "myprimaryid", "FIELD1": "fieldvalue" } ]' ``` ``` -------------------------------- ### POST /globaldata/tables/{tableId}/:truncateTable Source: https://apidocs.agillic.net/globaldata/openapi Delete all the records in the Global Data Table. This operation is more efficient than deleting the records one by one or as batches. It is considered to be atomic operation and all the records will be permanently erased, with no possibility of restoring them. ```markdown ### Parameters - **tableId** (string, path, required): The name of the Global Data Table. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/globaldata/tables/{tableId}/:truncateTable" ``` ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.